Author Topic: CAN_BE_SAFE_Rx and CAN_BE_SAFE_tx removed from library  (Read 766 times)

Offline Joel

  • PLUS+1 User
  • **
  • Posts: 6
  • Karma: +0/-0
CAN_BE_SAFE_Rx and CAN_BE_SAFE_tx removed from library
« on: November 03, 2020, 12:31:59 AM »
Anyone know why the CAN_Be_Safe_Rx and CAN_Be_Safe_Tx were removed from the safety function block library in version 70079555v201?  Also, anyone know how to send these safety CAN messages without these function blocks?

Offline Tor

  • Administrator
  • PLUS+1 Guru
  • *
  • Posts: 139
  • Karma: +10/-1
Re: CAN_BE_SAFE_Rx and CAN_BE_SAFE_tx removed from library
« Reply #1 on: November 03, 2020, 08:58:42 AM »
Hi Joel,

I posted the same message to answer one of your other questions.

The CANBeSafe blocks is outdated due to changes in the standards and removed from PLUS+1 GUIDE a while back.
To replace this there will be a new library coming out in the Update Center, the J1939 Safety FB Library V1.00.
These blocks can be considered the replacements for the old CANBeSafe blocks and will support the J1939-76 safety protocol.

Hopefully it will be uploaded to the Update Center any day now.
With this library there should be some user manuals for you to follow.

Have a nice day.
Best regards
Tor
PLUS+1 Helpdesk team